View Issue Details

IDProjectCategoryLast Update
0021593AI War 2[All Projects] Bug - OtherSep 9, 2019 6:04 pm
ReporterRocketAssistedPuffinAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.886 Zombie Homebodies 
Fixed in Version0.888 Astro Examination 
Summary0021593: Command Stations grant their speed and damage effects while not fully constructed.
DescriptionFeels weird - you can snipe the AI Station then get the benefits of a Military instantly after, with no Engineers or anything.

zeusalmighty also said this in Discord.

Save tomorrow...again.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 7, 2019 8:02 am

developer   ~0052906

Save has Concussion Corvettes attacking a Guard Post, dealing 144 damage each (need weapon activity detail enabled in tooltips for this). The rest of the force is on a slow group move around the planet.

Build a Military Station, and the Corvettes will then do 180 damage, and the group moving force will go faster (exaggerated if you build a Logistics instead).

CommandStationBoostNotFinished2.save (429,414 bytes)

BadgerBadger

Sep 9, 2019 3:43 pm

manager   ~0052952

There are a few checks in PlanetFaction.cs::DoPlanetFactionStepLogic() in the regions for
                #region attack multiplier
and
                #region speed multiplier

I think we need to check in here for
            if ( entity.SelfBuildingMetalRemaining > FInt.Zero )
                return DelReturn.Continue;
            if ( entity.SecondsSpentAsRemains >= 0 )
                return DelReturn.Continue;

BadgerBadger

Sep 9, 2019 6:04 pm

manager   ~0052964

Fixed!

Issue History

Date Modified Username Field Change
Sep 6, 2019 8:01 pm RocketAssistedPuffin New Issue
Sep 7, 2019 8:02 am RocketAssistedPuffin File Added: CommandStationBoostNotFinished2.save
Sep 7, 2019 8:02 am RocketAssistedPuffin Note Added: 0052906
Sep 9, 2019 3:43 pm BadgerBadger Note Added: 0052952
Sep 9, 2019 6:04 pm BadgerBadger Assigned To => BadgerBadger
Sep 9, 2019 6:04 pm BadgerBadger Status new => resolved
Sep 9, 2019 6:04 pm BadgerBadger Resolution open => fixed
Sep 9, 2019 6:04 pm BadgerBadger Fixed in Version => 0.888 Astro Examination
Sep 9, 2019 6:04 pm BadgerBadger Note Added: 0052964